#include <SPI.h>
#include <Wire.h>
#include <LT768_Basic.h>

void setup() {
  LT768_Basic.Parallel_Init();
  LT768_Basic.LT768_HW_Reset();
  LT768_Basic.System_Check_Temp();
  delay(100);
  while(LT768_Basic.LCD_StatusRead()&0x02);
  LT768_Basic.LT768_initial();
  LT768_Basic.Display_ON();
  LT768_Basic.Select_Main_Window_16bpp();
  LT768_Basic.Main_Image_Start_Address(0);        
  LT768_Basic.Main_Image_Width(1024);
  LT768_Basic.Main_Window_Start_XY(0,0);
  LT768_Basic.Canvas_Image_Start_address(0);
  LT768_Basic.Canvas_image_width(1024);
  LT768_Basic.Active_Window_XY(0,0);
  LT768_Basic.Active_Window_WH(1024,600);
}
void loop() {
  LT768_Basic.LT768_DrawSquare_Fill(0,0,1024,600,Red);
  delay(500);
  LT768_Basic.LT768_DrawSquare_Fill(0,0,1024,600,Green);
  delay(500);
  LT768_Basic.LT768_DrawSquare_Fill(0,0,1024,600,Blue);
  delay(500);
  LT768_Basic.LT768_DMA_24bit_Block(1,0,0,0,1024,600,1024,0);
  delay(500);
}
