#include <Wire.h>
#include <SPI.h>
#include <LT768_LCD.h>
#include <LT768_KEY.h>
#include <LT768.h>
#include <LT768_Lib.h>
#include <LT768_Demo.h>
void setup() {
  LT768_KEY.KEY_Init();
  LT768_LCD.Parallel_Init();
  LT768_Lib.LT768_Init();
  LT768_Demo.StartUp_picture();
  LT768_Lib.LT768_PWM1_Init(1,0,200,100,100);
  LT768_Lib.LT768_PWM0_Init(1,0,200,100,100);
  LT768.Display_ON();
  LT768_KEY.Waiting_Key();
  LT768_Demo.Main_GUI();
}
void loop() {
    LT768_Demo.Select_Function();
    delay(100);
}
